function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const executeStatement = async (pool, sql) => {
  const result = await pool.rdsDataService.executeStatement(_objectSpread({}, pool.transactionId != null ? {
    transactionId: pool.transactionId
  } : {}, {
    resourceArn: pool.dbClusterOrInstanceArn,
    secretArn: pool.awsSecretStoreArn,
    database: 'postgres',
    continueAfterTimeout: false,
    includeResultMetadata: true,
    sql
  })).promise();
  const {
    columnMetadata,
    records
  } = result;

  if (!Array.isArray(records) || columnMetadata == null) {
    return null;
  }

  const rows = [];

  for (const record of records) {
    const row = {};

    for (let i = 0; i < columnMetadata.length; i++) {
      row[columnMetadata[i].name] = pool.coercer(record[i]);
    }

    rows.push(row);
  }

  return rows;
};

export default executeStatement;
//# sourceMappingURL=execute-statement.js.map