"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _resolveDebugLevels = _interopRequireDefault(require("resolve-debug-levels"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const log = (0, _resolveDebugLevels.default)('resolve:resolve-readmodel-postgresql-serverless:commit-transaction');

const commitTransaction = async pool => {
  try {
    log.verbose('Commit transaction to postgresql database started');
    await pool.rdsDataService.commitTransaction({
      resourceArn: pool.dbClusterOrInstanceArn,
      secretArn: pool.awsSecretStoreArn,
      transactionId: pool.transactionId
    }).promise();
    log.verbose('Commit transaction to postgresql database succeed');
  } catch (error) {
    log.verbose('Commit transaction to postgresql database failed', error);
    throw error;
  } finally {
    pool.transactionId = null;
  }
};

var _default = commitTransaction;
exports.default = _default;
//# sourceMappingURL=commit-transaction.js.map